import { fileURLToPath, URL } from 'node:url'

import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
// import vueDevTools from 'vite-plugin-vue-devtools' //vue的内置调试工具
import AutoImport from 'unplugin-auto-import/vite'
import Components from 'unplugin-vue-components/vite'
import { ElementPlusResolver } from 'unplugin-vue-components/resolvers'
// https://vite.dev/config/
export default defineConfig({
  server: {
    host: "172.16.8.57",
    proxy: {
      '/api': {
        target: 'http://172.16.8.64:8000/api',
        changeOrigin: true,
        rewrite: path => path.replace(/^\/api/, '')
      },
      '/kg': { //知识图谱统计API
        target: "http://172.16.8.59:8086/healsphere",
        changeOrigin: true,
        //  rewrite: path => path.replace(/^\/kg/, '')
      }
    }
  },
  plugins: [
    vue(),
    // vueDevTools(),
    AutoImport({
      resolvers: [ElementPlusResolver()],
    }),
    Components({
      resolvers: [ElementPlusResolver()],
    }),
  ],
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url))
    },
  },
})
